=== src/FaCT++.JNI/Makefile ===
#
# Makefile for FaCT++ JNI interface library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = FaCTPlusPlusJNI
LTYPE = shared

INCLUDES = -I/Developer/SDKs/MacOSX10.6.sdk/System/Library/Frameworks/JavaVM.framework/Headers -I/System/Library/Frameworks/JavaVM.framework/Headers
USE_IL = ../Kernel

SOURCES = \
	  FaCTPlusPlus.cpp

include ../Makefile.include
