=== src/FaCT++.Server/Makefile ===
#
# Makefile for FaCT++
#

# link to Xerces-C
INCLUDES = -I$(XERCESCROOT)/include
LDFLAGS = -L$(XERCESCROOT)/lib -lxerces-c

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = FaCT++.Server

USE_IL = ../DIGParser ../Kernel

SOURCES = main.cpp

include ../Makefile.include
