=== src/FaCT++/Makefile ===
#
# Makefile for FaCT++
#

# -- DO NOT CHANGE THE REST OF FILE --
EXECUTABLE = FaCT++

USE_IL = ../Kernel

SOURCES = \
          scanner.cpp\
          parser.cpp\
          FaCT.cpp

include ../Makefile.include
