=== debian/changelog ===
fact++ (1.5.3~dfsg-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#431175.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Jun 2012 20:25:49 +0200
