=== debian/control ===
Source: fact++
Section: x11
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: devscripts,
 cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 cloog-ppl
Build-Conflicts: libtextcat-dev
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fact++-search/
Vcs-Git: git://git.debian.org/git/collab-maint/fact++.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/fact++.git

Package: fact++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Suggests: antiword, catdoc, catdvi, djvulibre-bin,
 poppler-utils | xpdf-utils, rpm, unrtf, unzip
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner. It supports OWL DL as well as the forthcoming
 standard OWL 1.1. FaCT++ is implemented in C++ and uses optimised
 tableaux algorithms. The tool is probably best known for its
 compatibility with the tool Protege that helps to formally represent
 semantics.
