=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for FaCT++
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# DEB_BUILDDIR unused but required by CDBS sanity check
DEB_BUILDDIR = build
#DEB_MAKE_FLAVORS = server parser lisp kernel
DEB_MAKE_FLAVORS = lisp kernel

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = FaCTpp
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/-/-src-v/
DEB_UPSTREAM_URL = http://factplusplus.googlecode.com/files
DEB_UPSTREAM_TARBALL_EXTENSION = tgz
DEB_UPSTREAM_TARBALL_SRCDIR = FaCT++-$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_MD5 = 78bca7cb1e981b487d97b88b9ba9a67c

# possibly non-DFSG JAR files
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./src/FaCT++.OWLAPI/lib/owlapi-src.jar \
 ./src/FaCT++.OWLAPI/lib/owlapi-bin.jar \
 ./src/FaCT++.OWLAPIv3/lib/owlapi-src.jar \
 ./src/FaCT++.OWLAPIv3/lib/owlapi-bin.jar

pkg = $(DEB_SOURCE_PACKAGE)

# subdirs contain chars unusable as flavor labels so are added manually
DEB_MAKE_BUILDDIRSKEL = $(cdbs_curbuilddir)

CDBS_BUILD_DEPENDS += , cloog-ppl
DEB_BUILDDIR_kernel = src/Kernel

DEB_BUILDDIR_lisp = src/FaCT++
ifneq (,$(filter lisp,$(DEB_MAKE_FLAVORS)))
binaries += src/FaCT++/obj/FaCT++
endif
debian/stamp-makefile-build/lisp: debian/stamp-makefile-build/kernel

DEB_BUILDDIR_parser = src/DIGParser
ifneq (,$(filter parser,$(DEB_MAKE_FLAVORS)))
CDBS_BUILD_DEPENDS += , libxerces-c-dev
#DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
endif
debian/stamp-makefile-build/parser: DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
debian/stamp-makefile-build/parser: debian/stamp-makefile-build/kernel

DEB_BUILDDIR_server = src/FaCT++.Server
ifneq (,$(filter server,$(DEB_MAKE_FLAVORS)))
binaries += src/FaCT++.Server/obj/FaCT++.Server
endif
debian/stamp-makefile-build/server: debian/stamp-makefile-build/kernel
debian/stamp-makefile-build/server: debian/stamp-makefile-build/parser

DEB_BUILDDIR_jni = src/FaCT++.JNI
ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
CDBS_BUILD_DEPENDS += , default-jdk
DEB_INSTALL_EXAMPLES_$(pkg) += src/FaCT++.JNI/obj/libFaCTPlusPlusJNI.so
endif
debian/stamp-makefile-build/jni: debian/stamp-makefile-build/kernel

# Include CPPFLAGS - e.g. for security hardening
DEB_MAKE_EXTRA_ARGS += DEFINES="$(CPPFLAGS)"

# Support non-optimized builds
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEB_MAKE_EXTRA_ARGS += GENERAL_DEFINES=
endif

# TODO: make testsuite work
#PATH=$PWD/src/FaCT++:$PATH make -C Models.lisp/DataTypeTest

DEB_DH_INSTALL_ARGS_$(pkg) = $(binaries) $(if $(binaries), usr/bin)
