=== src/FaCT++.JNI/Makefile ===
--- 
+++ 
@@ -10,6 +10,11 @@
 USE_IL = ../Kernel
 
 SOURCES = \
-	  FaCTPlusPlus.cpp
+	Axioms.cpp\
+	Expressions.cpp\
+	KnowledgeExploration.cpp\
+	Modularity.cpp\
+	Queries.cpp\
+	FaCTPlusPlus.cpp
 
 include ../Makefile.include
