=== src/Kernel/Makefile ===
--- 
+++ 
@@ -51,5 +51,7 @@
           tDag2Interface.cpp\
           tSplitExpansionRules.cpp\
           tDLAxiom.cpp\
+          AtomicDecomposer.cpp\
+          KnowledgeExplorer.cpp\
 
 include ../Makefile.include
