=== debian/changelog ===
fact++ (1.6.2~dfsg-2) unstable; urgency=low

  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jun 2013 20:04:59 +0200

fact++ (1.6.2~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    + Bug fixes.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Extend coverage for main copyright holder.
  * Bump standards-version to 3.9.4.
  * Really fix Homepage, as promised in 1.6.1~dfsg-1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Mar 2013 00:46:25 +0100

fact++ (1.6.1~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.
    + Bug fixes.

  [ Jonas Smedegaard ]
  * Fix stop build-conflicting with libtextcat-dev: Apparently
    completely bogus.
  * Drop (unused) build flavors server and parser: No longer included
    upstream.
  * Update copyright file:
    + Drop Files section for files no longer shipped upstream.
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Use space (not tab) in license.
  * Shorten README.source: Simply refer to wiki page about CDBS +
    git-buildpackage packaging style.
  * Bump dephelper compatibility level to 8.
  * Fix Homepage and source URLs.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 12 Dec 2012 16:46:52 +0100

fact++ (1.6.0~dfsg-1) experimental; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Extend coverage of main author.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied in stable, and oldstable no longer supported.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Sep 2012 17:16:56 +0200
