=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for FaCT++
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -18,7 +18,6 @@
 
 # DEB_BUILDDIR unused but required by CDBS sanity check
 DEB_BUILDDIR = build
-#DEB_MAKE_FLAVORS = server parser lisp kernel
 DEB_MAKE_FLAVORS = lisp kernel
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
@@ -31,7 +30,7 @@
 DEB_UPSTREAM_URL = http://factplusplus.googlecode.com/files
 DEB_UPSTREAM_TARBALL_EXTENSION = tgz
 DEB_UPSTREAM_TARBALL_SRCDIR = FaCT++-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 78bca7cb1e981b487d97b88b9ba9a67c
+DEB_UPSTREAM_TARBALL_MD5 = 0d0ed4a3f3ea333ae05f7c9ea2eba4e3
 
 # possibly non-DFSG JAR files
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
@@ -54,21 +53,6 @@
 endif
 debian/stamp-makefile-build/lisp: debian/stamp-makefile-build/kernel
 
-DEB_BUILDDIR_parser = src/DIGParser
-ifneq (,$(filter parser,$(DEB_MAKE_FLAVORS)))
-CDBS_BUILD_DEPENDS += , libxerces-c-dev
-#DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
-endif
-debian/stamp-makefile-build/parser: DEB_MAKE_EXTRA_ARGS += XERCESCROOT=/usr
-debian/stamp-makefile-build/parser: debian/stamp-makefile-build/kernel
-
-DEB_BUILDDIR_server = src/FaCT++.Server
-ifneq (,$(filter server,$(DEB_MAKE_FLAVORS)))
-binaries += src/FaCT++.Server/obj/FaCT++.Server
-endif
-debian/stamp-makefile-build/server: debian/stamp-makefile-build/kernel
-debian/stamp-makefile-build/server: debian/stamp-makefile-build/parser
-
 DEB_BUILDDIR_jni = src/FaCT++.JNI
 ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
 CDBS_BUILD_DEPENDS += , default-jdk
