=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/~dfsg\d*// \
http://code.google.com/p/factplusplus/downloads/list?can=1 .*/FaCTpp-src-v(\d.+)\.tgz
