=== src/Kernel/Makefile ===
--- 
+++ 
@@ -45,13 +45,17 @@
           ReasonerNom.cpp\
           tExpressionManager.cpp\
           CascadedCache.cpp\
-          TriRelation.cpp\
-          tSubsumptionMap.cpp\
           Actor.cpp\
           tDag2Interface.cpp\
           tSplitExpansionRules.cpp\
           tDLAxiom.cpp\
           AtomicDecomposer.cpp\
           KnowledgeExplorer.cpp\
+          ConjunctiveQueryFolding.cpp\
+          ConjunctiveQuery.cpp\
+          TaxonomyCreator.cpp\
+          Incremental.cpp\
+          ExtendedDataRange.cpp\
+          SaveLoadManager.cpp\
 
 include ../Makefile.include
