=== debian/changelog ===
fact++ (1.6.3~dfsg-1) unstable; urgency=low

  * Fix use package section science (not x11).
    Thanks to Maximilian Ernestus.
  * Declare compliance with Debian Policy 3.9.6.
  * Update Vcs-Git field: Use canonical URL.
  * Update Vcs-Browser field: Use cgit URL.
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Extend coverage for myself.
    + Update Files sections.
    + Generalize Files-Excluded: field to cover any *.jar files.
  * Drop patch 2001: Upstream now respects $JAVA_HOME.
  * Fix stop suggest totally unrelated document reading utilities.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 May 2015 16:40:17 +0200
