=== debian/control ===
Source: fact++
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 cloog-ppl
Standards-Version: 3.9.6
Homepage: http://owl.man.ac.uk/factplusplus/
Vcs-Git: git://anonscm.debian.org/collab-maint/fact++.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fact++.git

Package: fact++
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner. It supports OWL DL as well as the forthcoming
 standard OWL 1.1. FaCT++ is implemented in C++ and uses optimised
 tableaux algorithms. The tool is probably best known for its
 compatibility with the tool Protege that helps to formally represent
 semantics.
