=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012-2013, 2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for FaCT++
 #
 # This program is free software; you can redistribute it and/or modify
@@ -33,11 +33,7 @@
 DEB_UPSTREAM_TARBALL_MD5 = 0d0ed4a3f3ea333ae05f7c9ea2eba4e3
 
 # possibly non-DFSG JAR files
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
- ./src/FaCT++.OWLAPI/lib/owlapi-src.jar \
- ./src/FaCT++.OWLAPI/lib/owlapi-bin.jar \
- ./src/FaCT++.OWLAPIv3/lib/owlapi-src.jar \
- ./src/FaCT++.OWLAPIv3/lib/owlapi-bin.jar
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += *.jar
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
@@ -55,6 +51,8 @@
 
 DEB_BUILDDIR_jni = src/FaCT++.JNI
 ifneq (,$(filter jni,$(DEB_MAKE_FLAVORS)))
+include /usr/share/javahelper/java-vars.mk
+export JAVA_HOME
 CDBS_BUILD_DEPENDS += , default-jdk
 DEB_INSTALL_EXAMPLES_$(pkg) += src/FaCT++.JNI/obj/libFaCTPlusPlusJNI.so
 endif
