## fact++ 1.6.4~dfsg

=== Kernel/Makefile ===
#
# Makefile for FaCT++ kernel reasoning library
#

# -- DO NOT CHANGE THE REST OF FILE --
LIBRARY = Kernel
LTYPE = static

SOURCES = \
          dltree.cpp\
          configure.cpp\
          LeveLogger.cpp\
          dlTBox.cpp\
          dlCompletionTree.cpp\
          Reasoner.cpp\
          dlVertex.cpp\
          dlDag.cpp\
          RoleMaster.cpp\
          LogicFeature.cpp\
		  ifOptions.cpp\
		  Blocking.cpp\
		  Taxonomy.cpp\
		  Kernel.cpp\
		  Tactic.cpp\
		  modelCacheIan.cpp\
		  DLConceptTaxonomy.cpp\
		  taxVertex.cpp\
		  tRole.cpp\
		  tConcept.cpp\
		  dumpInterface.cpp\
		  dumpLisp.cpp\
		  dlCompletionGraph.cpp\
		  Relevance.cpp\
		  BuildDAG.cpp\
		  DataReasoning.cpp\
		  SortedReasoning.cpp\
		  CWDArray.cpp\
		  RAutomaton.cpp\
		  tAxiomSet.cpp\
		  tAxiom.cpp\
		  DataTypeCenter.cpp\
          Preprocess.cpp\
          Input.cpp\
          SaveLoad.cpp\
          ReasonerNom.cpp\
          tExpressionManager.cpp\
          CascadedCache.cpp\
          Actor.cpp\
          tDag2Interface.cpp\
          tDLAxiom.cpp\
          AtomicDecomposer.cpp\
          KnowledgeExplorer.cpp\
          TaxonomyCreator.cpp\
          Incremental.cpp\
          ExtendedDataRange.cpp\
          SaveLoadManager.cpp\
          dir_util.cpp\


include ../Makefile.include
