=== debian/changelog ===
fact++ (1.6.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump file format to version 4.
    + Track source at bitbucket.org (not code.google.com).
    + Set repacksuffix and mangle debian version.
    + Mention gbp in usage comment.
  * Update copyright info:
    + Update source location (bitbucket, not googlecode).
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + List bitbucket issue tracker as preferred upstream contact.
    + Extend copyright of packaging to cover current year.
    + Strip more binary files when repackaging upstream tarball.
    + Update and extend to cover newly added and moved files.
    + Extend coverage for main authro to include recent years.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Add lintian override regarding debhelper 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 12:04:36 +0200
