=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  debhelper,
  dh-buildinfo,
  cloog-ppl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://owl.man.ac.uk/factplusplus/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fact++.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fact++.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fact++.git
 
 Package: fact++
