=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg\d*//,repacksuffix=~dfsg" \
 https://bitbucket.org/dtsarkov/factplusplus/downloads \
 /dtsarkov/factplusplus/get/Release@ANY_VERSION@@ARCHIVE_EXT@
