=== FaCT++.C/Makefile ===
#
# Makefile for FaCT++
#

# -- DO NOT CHANGE THE REST OF FILE --
#EXECUTABLE=fact
LIBRARY = fact
LTYPE = shared

USE_IL = ../Kernel

SOURCES = \
          fact.cpp\

#          test.cpp

include ../Makefile.include
