=== debian/changelog ===
fact++ (1.6.5~dfsg-3) unstable; urgency=medium

  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * watch: use dversionmangle=auto
  * add TODOs
  * simplify source script copyright-check
  * copyright: extend coverage
  * annotate superficial autopkgtest
  * add patch 1001 to fix build with GCC-10;
    closes: bug#957191, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Sep 2020 15:12:02 +0200

fact++ (1.6.5~dfsg-2) unstable; urgency=medium

  * Update copyright info:
    + Fix syntax of Copyright field for main author.
    + Use https protocol in file format URL.
    + Extend coverage of packaging.
  * Fix stop bogusly depend on dbus-x11.
    Closes: Bug#836091. Thanks to Simon McVittie.
  * Simplify rules.
    Stop build-depend on dh-buildinfo licensecheck cdbs.
  * Update Vcs-* fields: Packaging moved to Salsa.
  * Stop build-depend on cloog-ppl.
    + Closes: Bug#921848. Thanks to Matthias Klose.
  * Declare compliance with Debian Policy 4.3.0.
  * Enable parallel build.
  * Set Rules-Requires-Root: no.
  * Update watch file:
    + Rewrite usage comment.
    + Generalize dversionmangle option.
  * Drop obsolete lintian override about debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Enable autopkgtest.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Feb 2019 17:03:32 +0100

fact++ (1.6.5~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Update watch file: Fix watch URL.
  * Update copyright info: Extend coverage for main upstream author.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Jan 2017 15:36:36 +0100
