=== debian/control ===
Source: fact++
Section: science
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.0
Homepage: http://owl.man.ac.uk/factplusplus/
Vcs-Git: https://salsa.debian.org/debian/factplusplus.git
Vcs-Browser: https://salsa.debian.org/debian/factplusplus
Rules-Requires-Root: no

Package: fact++
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: description logic reasoner for the semantic web
 FaCT++ is a DL reasoner.
 It supports OWL DL
 as well as the forthcoming standard OWL 1.1.
 FaCT++ is implemented in C++
 and uses optimised tableaux algorithms.
 The tool is probably best known
 for its compatibility with the tool Protege
 that helps to formally represent semantics.
