=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/javahelper/java-vars.mk

# Anything POSIX is "LINUX" to upstream build logic, apparently
DEB_MAKE_EXTRA_ARGS += OS=LINUX

# Include CPPFLAGS - e.g. for security hardening
DEB_MAKE_EXTRA_ARGS += DEFINES="$(CPPFLAGS)"

# Support non-optimized builds
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
DEB_MAKE_EXTRA_ARGS += GENERAL_DEFINES=
endif

override_dh_auto_build:
	dh_auto_build -- -C Kernel $(DEB_MAKE_EXTRA_ARGS)
	dh_auto_build -- -C FaCT++ $(DEB_MAKE_EXTRA_ARGS)
#	JAVA_HOME=$(JAVA_HOME) \
#		dh_auto_build --parallel -- -C FaCT++.JNI $(DEB_MAKE_EXTRA_ARGS)

# TODO: make testsuite work
#PATH=$PWD/FaCT++:$PATH make -C Models.lisp/DataTypeTest

%:
	dh $@
