=== debian/tests/control ===
Test-Command: prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
Restrictions: superficial
