=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
dversionmangle=auto \
https://bitbucket.org/dtsarkov/factplusplus/downloads?tab=tags \
/dtsarkov/factplusplus/get/Release@ANY_VERSION@@ARCHIVE_EXT@
